package main

import (
	"flag"
	"fmt"
	"net/http"
)

var BindAddr string
var PathToServe string
var ShowHelp bool

func main() {
	flag.BoolVar(&ShowHelp, "h", false, "Show this help message.")
	flag.StringVar(&BindAddr, "b", ":8000", "Address to bind")
	flag.StringVar(&PathToServe, "f", "./", "Path to serve")
	flag.Parse()
	if ShowHelp {
		flag.PrintDefaults()
		return
	}
	http.Handle("/", http.FileServer(http.Dir(PathToServe)))
	err := http.ListenAndServe(BindAddr, nil)
	if err != nil {
		fmt.Println("Failed start server: ", err.Error())
	}
}
